| optoICC

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
optoICC.registers.icc_registers.LensCompensation Class Reference
Inheritance diagram for optoICC.registers.icc_registers.LensCompensation:

## Public Member Functions
def | __init__ (self, int channel=0, board=None)
def | GetCreepCompensation (self)
def | GetCurrent (self)
def | GetDiopter (self)
def | GetFilterCoefficent_a (self)
def | GetFilterCoefficent_b (self)
def | GetXv_creepCompensation_act (self)
def | GetXv_creepCompensation_old (self)
def | GetYv_creepCompensation_act (self)
def | GetYv_creepCompensation_old (self)
def | GetGain_Variable (self)
def | SetGain_Variable (self, value)
def | GetPart_config (self)
def | SetPart_config (self, value)
def | GetDrift_value (self)
def | GetMinYellowFlag_value (self)
def | GetMaxYellowFlag_value (self)
def | GetMinRedFlag_value (self)
def | GetMaxRedFlag_value (self)
def | GetMinScrollFlag_value (self)
def | GetMaxScrollFlag_value (self)

## Static Public Member Functions
def | help ()

## Public Attributes
| sys_id
| diopter
| current
| filtercoefficent_a
| filtercoefficent_b
| xv_creepcompensation_act
| xv_creepcompensation_old
| yv_creepcompensation_act
| yv_creepcompensation_old
| Gain_Variable
| creepcompensation
| part_config
| drift_value
| min_lim_yellow
| max_lim_yellow
| min_lim_red
| max_lim_red
| min_lim_scroll
| max_lim_scroll
| min_gua_temperature
| max_gua_temperature
| name

## Detailed Description

    /**
    * \page LensCompensation Lens Compensation
    *
    * Lens compensation system ID : <b>0xC8</b>
    *
    * ### Register Map:
    *
    *  | Address | Name                         | Default Value | Description                      | Type   |  Access
    *  | --------|------------------------------|---------------|----------------------------------|------- | --------
    *  0xC[8-F]00 | diopter                     | 0.0           | diopter                          | float  | read only
    *  0xC[8-F]01 | current                     | 0.0           | output current                   | float  | read only
    *  0xC[8-F]02 | filtercoefficent_a          | 0.0           | filtercoefficent_a               | float  | read only
    *  0xC[8-F]03 | filtercoefficent_b          | 0.0           | filtercoefficent_b               | float  | read only
    *  0xC[8-F]04 | xv_creepcompensation_act    | 0.0           | xv_creepcompensation_act         | float  | read only
    *  0xC[8-F]05 | xv_creepcompensation_old    | 0.0           | xv_creepcompensation_old         | float  | read only
    *  0xC[8-F]06 | yv_creepcompensation_act    | 0.0           | yv_creepcompensation_act         | float  | read only
    *  0xC[8-F]07 | yv_creepcompensation_old    | 0.0           | yv_creepcompensation_old         | float  | read only
    *  0xC[8-F]08 | Gain_Variable               | 1             | Gain_Variable                    | float  | read only
    *  0xC[8-F]09 | creepcompensation           | 0.0           | creepcompensation                | float  | read only
    *  0xC[8-F]0A | part_config                 | 0             | part_config                      | float  | read write
    */

## Constructor & Destructor Documentation

## ◆ __init__()

def optoICC.registers.icc_registers.LensCompensation.__init__ | ( |  | self,
|  | int | channel = `0`,
|  |  | board = `None`
| ) |  |

## Member Function Documentation

## ◆ GetCreepCompensation()

def optoICC.registers.icc_registers.LensCompensation.GetCreepCompensation | ( |  | self | ) |

## ◆ GetCurrent()

def optoICC.registers.icc_registers.LensCompensation.GetCurrent | ( |  | self | ) |

## ◆ GetDiopter()

def optoICC.registers.icc_registers.LensCompensation.GetDiopter | ( |  | self | ) |

## ◆ GetDrift_value()

def optoICC.registers.icc_registers.LensCompensation.GetDrift_value | ( |  | self | ) |

## ◆ GetFilterCoefficent_a()

def optoICC.registers.icc_registers.LensCompensation.GetFilterCoefficent_a | ( |  | self | ) |

## ◆ GetFilterCoefficent_b()

def optoICC.registers.icc_registers.LensCompensation.GetFilterCoefficent_b | ( |  | self | ) |

## ◆ GetGain_Variable()

def optoICC.registers.icc_registers.LensCompensation.GetGain_Variable | ( |  | self | ) |

## ◆ GetMaxRedFlag_value()

def optoICC.registers.icc_registers.LensCompensation.GetMaxRedFlag_value | ( |  | self | ) |

## ◆ GetMaxScrollFlag_value()

def optoICC.registers.icc_registers.LensCompensation.GetMaxScrollFlag_value | ( |  | self | ) |

## ◆ GetMaxYellowFlag_value()

def optoICC.registers.icc_registers.LensCompensation.GetMaxYellowFlag_value | ( |  | self | ) |

## ◆ GetMinRedFlag_value()

def optoICC.registers.icc_registers.LensCompensation.GetMinRedFlag_value | ( |  | self | ) |

## ◆ GetMinScrollFlag_value()

def optoICC.registers.icc_registers.LensCompensation.GetMinScrollFlag_value | ( |  | self | ) |

## ◆ GetMinYellowFlag_value()

def optoICC.registers.icc_registers.LensCompensation.GetMinYellowFlag_value | ( |  | self | ) |

## ◆ GetPart_config()

def optoICC.registers.icc_registers.LensCompensation.GetPart_config | ( |  | self | ) |

## ◆ GetXv_creepCompensation_act()

def optoICC.registers.icc_registers.LensCompensation.GetXv_creepCompensation_act | ( |  | self | ) |

## ◆ GetXv_creepCompensation_old()

def optoICC.registers.icc_registers.LensCompensation.GetXv_creepCompensation_old | ( |  | self | ) |

## ◆ GetYv_creepCompensation_act()

def optoICC.registers.icc_registers.LensCompensation.GetYv_creepCompensation_act | ( |  | self | ) |

## ◆ GetYv_creepCompensation_old()

def optoICC.registers.icc_registers.LensCompensation.GetYv_creepCompensation_old | ( |  | self | ) |

## ◆ help()

def optoICC.registers.icc_registers.LensCompensation.help | ( |  | ) |
| static

## ◆ SetGain_Variable()

def optoICC.registers.icc_registers.LensCompensation.SetGain_Variable | ( |  | self,
|  |  | value
| ) |  |

## ◆ SetPart_config()

def optoICC.registers.icc_registers.LensCompensation.SetPart_config | ( |  | self,
|  |  | value
| ) |  |

## Member Data Documentation

## ◆ creepcompensation

optoICC.registers.icc_registers.LensCompensation.creepcompensation

## ◆ current

optoICC.registers.icc_registers.LensCompensation.current

## ◆ diopter

optoICC.registers.icc_registers.LensCompensation.diopter

## ◆ drift_value

optoICC.registers.icc_registers.LensCompensation.drift_value

## ◆ filtercoefficent_a

optoICC.registers.icc_registers.LensCompensation.filtercoefficent_a

## ◆ filtercoefficent_b

optoICC.registers.icc_registers.LensCompensation.filtercoefficent_b

## ◆ Gain_Variable

optoICC.registers.icc_registers.LensCompensation.Gain_Variable

## ◆ max_gua_temperature

optoICC.registers.icc_registers.LensCompensation.max_gua_temperature

## ◆ max_lim_red

optoICC.registers.icc_registers.LensCompensation.max_lim_red

## ◆ max_lim_scroll

optoICC.registers.icc_registers.LensCompensation.max_lim_scroll

## ◆ max_lim_yellow

optoICC.registers.icc_registers.LensCompensation.max_lim_yellow

## ◆ min_gua_temperature

optoICC.registers.icc_registers.LensCompensation.min_gua_temperature

## ◆ min_lim_red

optoICC.registers.icc_registers.LensCompensation.min_lim_red

## ◆ min_lim_scroll

optoICC.registers.icc_registers.LensCompensation.min_lim_scroll

## ◆ min_lim_yellow

optoICC.registers.icc_registers.LensCompensation.min_lim_yellow

## ◆ name

optoICC.registers.icc_registers.LensCompensation.name

## ◆ part_config

optoICC.registers.icc_registers.LensCompensation.part_config

## ◆ sys_id

optoICC.registers.icc_registers.LensCompensation.sys_id

## ◆ xv_creepcompensation_act

optoICC.registers.icc_registers.LensCompensation.xv_creepcompensation_act

## ◆ xv_creepcompensation_old

optoICC.registers.icc_registers.LensCompensation.xv_creepcompensation_old

## ◆ yv_creepcompensation_act

optoICC.registers.icc_registers.LensCompensation.yv_creepcompensation_act

## ◆ yv_creepcompensation_old

optoICC.registers.icc_registers.LensCompensation.yv_creepcompensation_old

The documentation for this class was generated from the following file:

- C:/Users/filip.stary/Documents/145-713-00-OptoICC/src/main/python/optoICC/registers/icc_registers.py